package com.elinkthings.elink;

import java.io.UnsupportedEncodingException;

import com.elinkthings.elink.utils.Base64Util;
import com.elinkthings.elink.utils.TeaUtils;

public class Test {
	
	public static void main(String args[]) throws UnsupportedEncodingException
    {
	//设备注册数据
	byte[] old =new byte[]{
			(byte)0x0f,//imei长度
			(byte)0x38,(byte)0x36,(byte)0x31,(byte)0x31,(byte)0x39  ,(byte)0x33 ,(byte)0x30 ,(byte)0x34 ,(byte)0x30 ,(byte)0x34 ,(byte)0x38 ,(byte)0x39 ,(byte)0x31 ,(byte)0x31 ,(byte)0x35, //IMEI
			(byte)0x0f, //IMSI长度	
			(byte)0x34,(byte)0x36 ,(byte)0x30 ,(byte)0x30 ,(byte)0x34 ,(byte)0x34 ,(byte)0x36 ,(byte)0x30 ,(byte)0x36 ,(byte)0x36 ,(byte)0x30 ,(byte)0x34 ,(byte)0x35 ,(byte)0x34 ,(byte)0x38, //IMSI长度
			(byte)0x14, //ICCID长度
			(byte)0x38,(byte)0x39 ,(byte)0x38 ,(byte)0x36 ,(byte)0x30 ,(byte)0x34 ,(byte)0x32 ,(byte)0x36 ,(byte)0x31 ,(byte)0x30 ,(byte)0x31 ,(byte)0x39 ,(byte)0x39 ,(byte)0x30 ,(byte)0x30 ,(byte)0x32 ,(byte)0x34 ,(byte)0x35 ,(byte)0x34 ,(byte)0x38, //ICCID
			(byte)0x13,//版本长度
			(byte)0x4c ,(byte)0x4d ,(byte)0x30 ,(byte)0x31 ,(byte)0x48 ,(byte)0x31 ,(byte)0x53 ,(byte)0x31 ,(byte)0x2e ,(byte)0x30 ,(byte)0x5f ,(byte)0x32 ,(byte)0x30 ,(byte)0x32 ,(byte)0x30 ,(byte)0x30 ,(byte)0x36 ,(byte)0x33 ,(byte)0x30, //固件版本
			(byte)0x00,(byte)0x00 ,(byte)0x00 ,(byte)0x00 ,(byte)0x00 ,(byte)0x00 ,(byte)0x00
	};
	//体脂数据
	old =new byte[]{
			(byte)0x00,(byte)0x00 ,(byte)0x0f,(byte)0x62 //设备ID 
			,(byte)0x13             //年   
			,(byte)0x0c             //月 
			,(byte)0x12             //日 
			,(byte)0x13             //时   
			,(byte)0x0c             //分 
			,(byte)0x12             //秒
			,(byte)0x01             //是否离线记录
			,(byte)0x00   			//体重数据高
			,(byte)0x00 			//体重数据中
			,(byte)0x3C  			//体重数据低
			,(byte)0x00 			//体重单位
			,(byte)0x00  			//体重精度
			,(byte)0x01              //阻抗高      
			,(byte)0xff              //阻抗低   
			,(byte)0x5f              //心率   
			,(byte)0x01				 //算法
			,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00            //备用
    };
	//原始数据
	System.out.println( "原始数据：");
	for(byte i : old)
		System.out.print(i + " ");
	System.out.println();
	//tea加密
	byte[] teaDscrypt =TeaUtils.encrypt(old,null);
	System.out.println( "tea加密：");
	for(byte i : teaDscrypt)
		System.out.print(i + " ");
	System.out.println();
	//base编码
	String base64Text =  Base64Util.encoderString(teaDscrypt);
	System.out.println("base64编码后的数据长度:"+Base64Util.getLength(base64Text)+"："+base64Text);
	//base解码
	String base64TextEn= Base64Util.decoderString(base64Text);
	System.out.println("base64解码后的数据长度:"+Base64Util.getLength(base64TextEn)+"："+base64TextEn);
	//解码数据转换为byte数组
	byte[] base64TeaByteOld = Base64Util.hexStrToByteArray(base64TextEn);
	System.out.println( "解码后得到的tea加密的byte数组：");
	for(byte i : base64TeaByteOld)
		System.out.print(i + " ");
	System.out.println();
	byte[] base64TeaByte =TeaUtils.decrypt(base64TeaByteOld,null);
	System.out.println( "tea解密完成：");
	for(byte i : base64TeaByte)
		System.out.print(i + " ");
	System.out.println();
	
    }
}
